## ruby-setup 3.4.1

=== Makefile ===
#
# setup/Makefile
#

ident       = setup
version     = 3.4.1
include $(HOME)/.makeparams

default: update

.PHONY: default doc text dist clean

clean:
	rm -rf NEWS.ja NEWS.en Usage_* doc.*

publish: update
	cp setup.rb $(datadir)

update:
	update-version --version=$(version) setup.rb

doc:
	rm -rf doc.ja doc.en
	mkdir doc.ja doc.en
	mldoc-split --lang=ja NEWS.m | crd2html > doc.ja/news.html
	mldoc-split --lang=en NEWS.m | crd2html > doc.en/news.html
	compile-documents --lang=ja --template=$(tmpldir)/manual.ja doc doc.ja
	compile-documents --lang=en --template=$(tmpldir)/manual.en doc doc.en

text: Usage_ja.txt Usage_en.txt NEWS.ja NEWS.en

Usage_ja.txt: doc/usage.rd.m
	mldoc-split --lang=ja doc/usage.rd.m | crd2plain > $@
Usage_en.txt: doc/usage.rd.m
	mldoc-split --lang=en doc/usage.rd.m | crd2plain > $@

NEWS.ja: NEWS.m
	mldoc-split --lang=ja NEWS.m > $@
NEWS.en: NEWS.m
	mldoc-split --lang=en NEWS.m > $@

dist:
	rm -rf tmp; mkdir tmp
	cd tmp; cvs -Q export -r`echo V$(version) | tr . -` -d setup-$(version) setup
	cd tmp/setup-$(version); make doc text
	cd tmp/setup-$(version); rm -rf web doc *.m
	cd tmp; tar czf $(siteardir)/setup-$(version).tar.gz setup-$(version)
	rm -rf tmp

site:
	erb web/setup.ja.rhtml | wrap-html --template=$(tmpldir)/basic.ja | nkf -j > $(projdir_ja)/index.html
	erb web/setup.en.rhtml | wrap-html --template=$(tmpldir)/basic.en > $(projdir_en)/index.html
	mldoc-split --lang=ja NEWS.m | crd2html > $(projdir_ja)/doc/news.html
	mldoc-split --lang=en NEWS.m | crd2html > $(projdir_en)/doc/news.html
	compile-documents --lang=ja --template=$(tmpldir)/basic.ja doc $(projdir_ja)/doc
	compile-documents --lang=en --template=$(tmpldir)/basic.en doc $(projdir_en)/doc

=== debian/changelog ===
ruby-setup (3.4.1-7) unstable; urgency=low

  * Team upload

  [ Vincent Fourmond ]
  * Move dummy package to oldlibs

  [ Cédric Boutillier ]
  * debian/control:
    + use canonical URI in Vcs-* fields
    + bump Standards-Version to 3.9.4 (no changes needed)
    + add Breaks/Replaces/Provides for older versions of libsetup-ruby1.8
    + change priority of dummy package to extra
  * debian/copyright: convert to copyright-format/1.0
  * debian/patches: add no_makeparams.patch to not include inexistant
    $(HOME)/.makeparams, fixing FTBFS (Closes: #724224)

 -- Cédric Boutillier <boutil@debian.org>  Thu, 17 Oct 2013 16:40:45 +0200

ruby-setup (3.4.1-5) unstable; urgency=low

  [ Gunnar Wolf ]
  * Changed section to Ruby as per ftp-masters' request
  * Added myself as an uploader
  
  [ Lucas Nussbaum ]
  * Removing Lucas from uploaders.

  [ Vincent Fourmond ]
  * Rename package as ruby-setup
  * Use source format 3.0 (quilt)
    - drop dependency on dpacth 
    - convert old patches
  * Use gem2deb for building
  * Provide a libsetup-ruby1.8 transition package
  * Conforms to standards 3.9.2, and to the newer ruby policy

 -- Vincent Fourmond <fourmond@debian.org>  Mon, 30 May 2011 14:15:58 +0200

libsetup-ruby (3.4.1-4) unstable; urgency=low

  * Conforms to Standards 3.7.3
  * Cleanup doc-base/libsetup-ruby

 -- Vincent Fourmond <fourmond@debian.org>  Sun, 20 Apr 2008 16:06:04 +0200

libsetup-ruby (3.4.1-3) unstable; urgency=low

  * Added debian/patches/fix-metaconfig.dpatch.
    Fix add_bool_config in metaconfig. From upstream SVN r2634.
  * debian/control: added myself to uploaders
  * debian/control: fixed Vcs-* to point to trunk/

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Wed, 13 Feb 2008 23:53:48 +0100

libsetup-ruby (3.4.1-2) unstable; urgency=low

  * Fix the copyright problems...

 -- Vincent Fourmond <fourmond@debian.org>  Mon, 03 Dec 2007 18:43:08 +0100

libsetup-ruby (3.4.1-1) unstable; urgency=low

  * Initial release (no ITP filed...)

 -- Vincent Fourmond <fourmond@debian.org>  Mon, 26 Nov 2007 21:41:33 +0100

=== debian/control ===
Source: ruby-setup
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Vincent Fourmond <fourmond@debian.org>, Gunnar Wolf <gwolf@debian.org>
Standards-Version: 3.9.4
Homepage: http://i.loveruby.net/en/projects/setup/
Build-Depends: debhelper (>= 7.0.50~), gem2deb (>= 0.2.3)
Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/ruby-setup.git
Vcs-Browser: http://anonscm.debian.org/gitweb?p=pkg-ruby-extras/ruby-setup.git;a=summary
XS-Ruby-Versions: all


Package: ruby-setup
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${misc:Depends}, ruby | ruby-interpreter
Breaks: libsetup-ruby1.8 (<< 3.4.1-5~)
Replaces: libsetup-ruby1.8 (<< 3.4.1-5~)
Provides: libsetup-ruby1.8
Description: the setup.rb install tool for Ruby
 setup.rb is an installation tool widely used for Ruby 
 programs. You can use it to distribute Ruby code you wrote
 and be sure your users won't have difficulties installing
 it.

Package: libsetup-ruby1.8
Architecture: all
Depends: ruby-setup, ${misc:Depends}
Section: oldlibs
Priority: extra
Description: the setup.rb install tool for Ruby - transition package
 This is a dummy transition package. You may remove it when no other
 package depend on it.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#
# Uncomment to ignore all test failures (but the tests will run anyway)
#export DH_RUBY_IGNORE_TESTS=all
#
# Uncomment to ignore some test failures (but the tests will run anyway).
# Valid values:
#export DH_RUBY_IGNORE_TESTS=ruby1.8 ruby1.9.1 require-rubygems
#
# If you need to specify the .gemspec (eg there is more than one)
#export DH_RUBY_GEMSPEC=gem.gemspec

%:
	dh $@ --with ruby

override_dh_auto_build:
override_dh_auto_install:
override_dh_auto_clean:

override_dh_installchangelogs:
	dh_installchangelogs NEWS.en

=== debian/watch ===
version=3
http://i.loveruby.net/archive/setup/ setup-(.*)\.tar\.gz
